"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parse = void 0;
const helpers_1 = require("../helpers");
const itemsData = require('../../data/items.json');
const hideoutData = require('../../data/hideout.json');
const parse = () => {
    const result = {};
    Object.keys(hideoutData).forEach(moduleName => {
        result[moduleName] = hideoutData[moduleName].map(moduleLevel => {
            const items = moduleLevel.items.map(item => ({
                id: item.id,
                name: item.name,
                shortName: item.shortName,
                count: item.count,
                isKey: (0, helpers_1.isKey)(item),
                isCurrency: (0, helpers_1.isCurrency)(item),
            }));
            return {
                id: moduleLevel.id,
                name: moduleLevel.name,
                level: moduleLevel.level,
                items,
                modules: moduleLevel.modules,
            };
        });
    });
    return result;
};
exports.parse = parse;
